// CellErrorHandlerImpl.h: CellErrorHandlerImpl NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CellErrorHANDLERIMPL_H__416CFF0A_2439_4EA0_A105_6CF41986536B__INCLUDED_)
#define AFX_CellErrorHANDLERIMPL_H__416CFF0A_2439_4EA0_A105_6CF41986536B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SAXErrorHandlerImpl.h"
#include "OutMsg.h"

class CellErrorHandlerImpl : public SAXErrorHandlerImpl  
{
public:
	CellErrorHandlerImpl(COutMsg* p_msg);
	CellErrorHandlerImpl();
	virtual ~CellErrorHandlerImpl();
        virtual HRESULT STDMETHODCALLTYPE error( 
            /* [in] */ ISAXLocator __RPC_FAR *pLocator,
            /* [in] */ unsigned short * pwchErrorMessage,
			/* [in] */ HRESULT errCode);
        
        virtual HRESULT STDMETHODCALLTYPE fatalError( 
            /* [in] */ ISAXLocator __RPC_FAR *pLocator,
            /* [in] */ unsigned short * pwchErrorMessage,
			/* [in] */ HRESULT errCode);
        
        virtual HRESULT STDMETHODCALLTYPE ignorableWarning( 
            /* [in] */ ISAXLocator __RPC_FAR *pLocator,
            /* [in] */ unsigned short * pwchErrorMessage,
			/* [in] */ HRESULT errCode);
private:
	int m_allocflg;
	COutMsg* m_msg;
};

#endif // !defined(AFX_CellErrorHANDLERIMPL_H__416CFF0A_2439_4EA0_A105_6CF41986536B__INCLUDED_)
