// CellErrorHandlerImpl.cpp: CellErrorHandlerImpl NX̃Cve[V
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "CellErrorHandlerImpl.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// \z/
//////////////////////////////////////////////////////////////////////

CellErrorHandlerImpl::CellErrorHandlerImpl()
{
	m_msg = new COutMsg(0);
	m_allocflg=1;
}

CellErrorHandlerImpl::CellErrorHandlerImpl(COutMsg* p_msg)
{
	m_msg = p_msg;
	m_allocflg=0;
}

CellErrorHandlerImpl::~CellErrorHandlerImpl()
{
	if(m_allocflg==1){
		delete(m_msg);
	}
}

// Jo\ȃG[
HRESULT STDMETHODCALLTYPE CellErrorHandlerImpl::error( 
            /* [in] */ ISAXLocator __RPC_FAR *pLocator,
            /* [in] */ unsigned short * pwchErrorMessage,
			/* [in] */ HRESULT errCode)
{
	// S_OKȂpB̑Ȃ~
	return S_OK;
}
        
// Jos\ȃG[
// ɂ悭
HRESULT STDMETHODCALLTYPE CellErrorHandlerImpl::fatalError( 
            /* [in] */ ISAXLocator __RPC_FAR *pLocator,
            /* [in] */ unsigned short * pwchErrorMessage,
			/* [in] */ HRESULT errCode)
{
	TRACE("XML ERROR CODE=%x\n",errCode);
	int line,column;
	pLocator->getColumnNumber(&column);
	pLocator->getLineNumber(&line);
	char msg[256],asc[256];
	::WideCharToMultiByte(CP_ACP,0,pwchErrorMessage,-1,asc,256,NULL,NULL);
	sprintf(msg,"XMLt@C̕@G[\n%s s=%d =%d",asc,line,column, asc);
	m_msg->out(msg); //G[bZ[Wô
	if(errCode != 0x80004005){
		m_msg->out(msg);
	}else{
		TRACE(msg);
	}
	return S_OK; // FATAL̏ꍇS_OKł~B
}
        
// łx
HRESULT STDMETHODCALLTYPE CellErrorHandlerImpl::ignorableWarning( 
            /* [in] */ ISAXLocator __RPC_FAR *pLocator,
            /* [in] */ unsigned short * pwchErrorMessage,
			/* [in] */ HRESULT errCode)
{
	// S_OKȂpB̑Ȃ~
	return S_OK;
}
