// CellShade.cpp : AvP[VpNX̒`s܂B
//

#include "stdafx.h"
#include <math.h>

#include "CellShade.h"
#include "CellShadeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// tlpsdp
#ifndef HEIGHT
#define HEIGHT(p) ((p)->bottom - (p)->top)
#endif
#ifndef WIDTH
#define WIDTH(p) ((p)->right - (p)->left)
#endif
//

/////////////////////////////////////////////////////////////////////////////
// CCellShadeApp

BEGIN_MESSAGE_MAP(CCellShadeApp, CWinApp)
	//{{AFX_MSG_MAP(CCellShadeApp)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
		//        ̈ʒuɐR[hҏWȂłB
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCellShadeApp NX̍\z

CCellShadeApp::CCellShadeApp()
{
	// TODO: ̈ʒuɍ\zp̃R[hǉĂB
	//  InitInstance ̏dvȏׂċLqĂB
}

/////////////////////////////////////////////////////////////////////////////
// B CCellShadeApp IuWFNg

CCellShadeApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CCellShadeApp NX̏

BOOL CCellShadeApp::InitInstance()
{
	AfxEnableControlContainer();

	// WIȏ
	// ̋@\gpAst@C̃TCY
	//  Έȉ̓̏[`̒sKvȂ̂폜
	//  B
#ifdef _AFXDLL
	Enable3dControls();			// L DLL  MFC gꍇ͂R[ĂB
#else
	Enable3dControlsStatic();	// MFC ƐÓIɃNꍇ͂R[ĂB
#endif

	// PSDCu
	m_hPsd = NULL;
	if(InitialLoadDll() != 0){
		return FALSE;
	}

	CCellShadeDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: _CAO <OK> ŏꂽ̃R[h
		//       LqĂB
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: _CAO <ݾ> ŏꂽ̃R[h
		//       LqĂB
	}

	// _CAOĂAvP[ṼbZ[W |vJńA
	// AvP[VI邽߂ FALSE ԂĂB
	return FALSE;
}

int CCellShadeApp::InitialLoadDll()
{
    //if(!(m_hPsd = ::LoadLibrary("tlpsdload.dll"))
    if(!(m_hPsd = ::LoadLibrary("tlpsdex.dll"))
            || !(TlPsd_GetVersion		 = (TLPSD_GETVERSION)		GetProcAddress(m_hPsd, "TlPsd_GetVersion"))
            || !(TlPsd_UnderScan		 = (TLDSD_UNDERSCAN)		GetProcAddress(m_hPsd, "TlPsd_UnderScan"))
            || !(TlPsd_Minimize			 = (TLDSD_MINIMIZE)			GetProcAddress(m_hPsd, "TlPsd_Minimize"))

            || !(TlPsdLoad_Open          = (TLDSDLOAD_OPEN)         GetProcAddress(m_hPsd, "TlPsdLoad_Open")) 
            || !(TlPsdLoad_Close         = (TLDSDLOAD_CLOSE)        GetProcAddress(m_hPsd, "TlPsdLoad_Close"))
            || !(TlPsdLoad_GetLayerCount = (TLDSDLOAD_GETLAYERCOUNT)GetProcAddress(m_hPsd, "TlPsdLoad_GetLayerCount"))
            || !(TlPsdLoad_GetImageInfo  = (TLDSDLOAD_GETIMAGEINFO) GetProcAddress(m_hPsd, "TlPsdLoad_GetImageInfo"))
            || !(TlPsdLoad_GetImage      = (TLDSDLOAD_GETIMAGE)     GetProcAddress(m_hPsd, "TlPsdLoad_GetImage"))

			|| !(TlPsdSave_Open			 = (TLDSDSAVE_OPEN)			GetProcAddress(m_hPsd, "TlPsdSave_Open"))
			|| !(TlPsdSave_Close		 = (TLDSDSAVE_CLOSE)		GetProcAddress(m_hPsd, "TlPsdSave_Close"))
			|| !(TlPsdSave_SetImage		 = (TLDSDSAVE_SETIMAGE)		GetProcAddress(m_hPsd, "TlPsdSave_SetImage"))
			|| !(TlPsdSave_SetLayer		 = (TLDSDSAVE_SETLAYER)		GetProcAddress(m_hPsd, "TlPsdSave_SetLayer"))
			)
	{
		AfxMessageBox("Error: InitialLoadDll()");
        //cout << "Error: InitialLoadDll()" << endl;
        //throw CTestException(2);
		return -1;
    }
	TRACE("LOAD\n");
	return 0;
}

// ===================================================================================

void CCellShadeApp::FreeDll()
{
    if(m_hPsd)
        ::FreeLibrary(m_hPsd);
}


/**
lpszFileName:PSDt@C
lpszPath:oPSDt@C
*/
int CCellShadeApp::LoadAndSaveImage(LPCSTR lpszFileName, LPCSTR lpszPath, CcolorTable *pMc)
{
    int nErr;
	char errmsg[MAX_PATH];

	//===== o͐PSDt@C쐬 =====
	TLPSD_MESSAGE msg = {0};
	msg.hWnd = NULL;
	msg.uUserMessage = WM_APP + 1;
	msg.wpProgress   = 1;
	msg.dwFlags = TLPSDSAVE_ALPHA_CHANNEL_ONLY;
	if((nErr = TlPsdSave_Open(lpszPath, 1000, &msg))){
		sprintf(errmsg, "Fail to Create PSD.%s code=%d", lpszPath, nErr);
		TRACE(errmsg);
		AfxMessageBox(errmsg);
		return -1;
	}

    //===== Loading =====
    // Open, read and analyze the psd file. 
    // The file must be 8-bit deph and RGB mode. 
    if((nErr = TlPsdLoad_Open(lpszFileName, 2000, NULL))){
        //cout << "Error: Can not open a file, " << lpszFileName << endl;
        //throw CTestException(nErr);
		sprintf(errmsg, "Error: Can not open a file, %s code=%d", lpszFileName, nErr);
		TRACE(errmsg);
		AfxMessageBox(errmsg);
		TlPsdSave_Close();
		return -1;
    }

    //===== Loading a merged image =====
    g_marge_info.nIndex = -1;
    if(!GetMargedImage(g_merge_image, g_marge_info)){
        //cout << "Can not get the merged image. " << endl;
		sprintf(errmsg, "Can not get the merged image. ");
		TRACE(errmsg);
		AfxMessageBox(errmsg);
		// ^[͂Ȃ
	}else{
		char msg[256];
		sprintf(msg,"Mearged=(%d,%d)-(%d,%d)\n"
		,g_marge_info.rcImage.left
		,g_marge_info.rcImage.top
		,g_marge_info.rcImage.right
		,g_marge_info.rcImage.bottom
		);
		TRACE(msg);

		//TlPsdSave_SetImage(&out_merge_image[0], g_marge_info.rcImage.right, g_marge_info.rcImage.bottom);
		// 𔲂āAǂ񂾂̂̂܂܎g
		TlPsdSave_SetImage(&g_merge_image[0], g_marge_info.rcImage.right, g_marge_info.rcImage.bottom);
	}


    //===== Loading layers =====
    int nSavedCount = 0;
    const int nCount = TlPsdLoad_GetLayerCount();
    if(nCount){
        g_layer.resize(nCount);
		out_layer.resize(nCount);
		TRACE("FIRST %x size=%d\n", &out_layer[0].image[0],out_layer[0].image.size());
	}

	// C[Rs[
    for(int j = 0; j < nCount; j++){
        if(GetILayerImage(j, g_layer.at(j), g_marge_info.rcImage)){
			sprintf(errmsg, "%d C=%s\n", j, g_layer.at(j).info.szName);
			TRACE(errmsg);
			TlPsdSave_SetLayer(&g_layer[j].image[0], &g_layer[j].info);
		}
	}

	// VKC[ǉ
	CObArray *coltbl = pMc->coltbl;
	TRACE("ǉC̐%d\n",coltbl->GetSize());
	for(j=0; j<coltbl->GetSize(); j++){
		CcolorItem *Item = (CcolorItem*)(coltbl->GetAt(j));
        //int ret = MakeLayer(&g_layer.at(0).image[0], g_layer.at(0).info, out_layer[j]);
		out_layer[j].info = g_layer[0].info;
		// o̓C[̑傫vZ
		
		out_layer[j].info.rcImage.left = 0;
		out_layer[j].info.rcImage.top = 0;
		out_layer[j].info.rcImage.right = 1;
		out_layer[j].info.rcImage.bottom = 1;
		
		RECT rc = out_layer[j].info.rcImage;
		int output_width = WIDTH(&rc);
		int output_height= HEIGHT(&rc);
		// o̓C[̈m
		out_layer[j].image.resize(output_width * output_height);
		memset(&out_layer[j].image[0], output_width * output_height*sizeof(RGBQUAD), 0);
		
		out_layer[j].info.nGroup = -1;					// Linkage between layers. If a layer has negative value, the layer has not any linkage. 
		out_layer[j].info.bfVisible = TRUE;				// TRUE=visible, FLASE=unvisible layer
		out_layer[j].info.nOpacity = 0xff;				// 0=transparent, 0XFF=opaque
		out_layer[j].info.bfMaskVisible = TRUE;			// TRUE=visible, FLASE=unvisible mask
		if(Item != NULL){
			TRACE("%d:mode=%s Name=%s\n",j,Item->getMode(),Item->getName());
			strncpy(out_layer[j].info.szBlendMode, (LPCTSTR)(Item->getMode()),8);	// Blend mode key
			strncpy(out_layer[j].info.szName, (LPCTSTR)(Item->getName()), TLPSD_MAXSTR);
		}else{
			TRACE("ITEM is NULL\n");
			strncpy(out_layer[j].info.szBlendMode, "norm",8);	// Blend mode key
			strncpy(out_layer[j].info.szName, "VKC", TLPSD_MAXSTR);
		}

		// C[ǉ
		TlPsdSave_SetLayer(&out_layer[j].image[0], &out_layer[j].info);
	}

    // Loading results
    //cout << "The number of loaded layers of " << nCount      << endl;
	sprintf(errmsg, "The number of loaded layers of %d\n", nCount);
	TRACE(errmsg);
    //cout << "The number of saved layers of  " << nSavedCount << endl;
	sprintf(errmsg, "The number of saved layers of %d\n", nSavedCount);
	TRACE(errmsg);

	// ̓t@CN[Y
    TlPsdLoad_Close();

	TRACE("BEFORE SAVE\n");
	//o̓t@CN[Y
	if((nErr = TlPsdSave_Close())){ // Writting and closing the file. 
		sprintf(errmsg, "Fail to TlPsdSave_Close().%s err=%d", lpszPath, nErr);
		TRACE(errmsg);
		AfxMessageBox(errmsg);
		return -1;
	}
	
    //cout << "--- End loading ---" << endl;
	return 0;
}

bool CCellShadeApp::GetMargedImage(std::vector < RGBQUAD >& image, TLPSD_IMAGE_INFO& info)
{
    if(TlPsdLoad_GetImageInfo(&info) != TLPSDERR_NO_ERROR)
        return false;

    int nSize = WIDTH(&info.rcImage) * HEIGHT(&info.rcImage);

    image.resize(nSize);

    if(TlPsdLoad_GetImage(info.nIndex, &image.at(0), nSize * sizeof(RGBQUAD), &info.rcImage))
        return false;

    return true;
}

// ===================================================================================

bool CCellShadeApp::GetILayerImage(int index, LAYER_IMAGE_ARRAY& layer, RECT rcFrame)
{
    ZeroMemory(&layer.info, sizeof(TLPSD_IMAGE_INFO));
    layer.info.nIndex = index;

    if(TlPsdLoad_GetImageInfo(&layer.info) != TLPSDERR_NO_ERROR)
        return false;

    int nSize = WIDTH(&layer.info.rcImage) * HEIGHT(&layer.info.rcImage);
    if(nSize == 0)
        return false;    // Iamge data is nothing. 

    // Getting image data
    layer.image.resize(nSize);
    if(TlPsdLoad_GetImage(layer.info.nIndex, &layer.image.at(0), nSize * sizeof(RGBQUAD), &layer.info.rcImage))
        return false;

    // Trimming the image
	/**
	char msg[256];
	sprintf(msg,"Before UnderScan=(%d,%d)-(%d,%d)\n"
		,layer.info.rcImage.left
		,layer.info.rcImage.top
		,layer.info.rcImage.right
		,layer.info.rcImage.bottom
		);
	TRACE(msg);
	**/
    TlPsd_UnderScan(&layer.image.at(0), &layer.info.rcImage, &rcFrame);
	/**
	sprintf(msg,"Before Minimize=(%d,%d)-(%d,%d)\n"
		,layer.info.rcImage.left
		,layer.info.rcImage.top
		,layer.info.rcImage.right
		,layer.info.rcImage.bottom
		);
	TRACE(msg);
	**/
    TlPsd_Minimize (&layer.image.at(0), &layer.info.rcImage);
	/**
	sprintf(msg,"After Minimize=(%d,%d)-(%d,%d)\n"
		,layer.info.rcImage.left
		,layer.info.rcImage.top
		,layer.info.rcImage.right
		,layer.info.rcImage.bottom
		);
	TRACE(msg);
	*/

    // Check the image size
    if(WIDTH(&layer.info.rcImage) == 0 || HEIGHT(&layer.info.rcImage) == 0){
        layer.image.clear();
        return false;
    }

    return true;
}

/**
ΏۂłȂȂ-1ԂB쐬0Ԃ
loData:̓C[C[W(BGRA32bitŒ)
info:C[
mask:Ap}XN(8bit)
*/
int CCellShadeApp::MakeLayer(const void* lpData, const TLPSD_IMAGE_INFO info, LAYER_IMAGE_ARRAY& out_layer)
{
	TRACE("----MakeLayerJn\n");
	int ret = -1;
	//char msg[256];


	// o̓C[̑傫vZ
	out_layer.info = info;

	RECT rc = out_layer.info.rcImage;
	int output_width = WIDTH(&rc);
	int output_height= HEIGHT(&rc);

	// o̓C[̈m
	out_layer.image.resize(output_width * output_height);
	memset(&out_layer.image[0], output_width * output_height, 0);

	TRACE("----MakeLayerI\n");
	return ret;
}


