// PintCircle.h: CPintCircle NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////
#include "ipl.h"

#if !defined(AFX_PINTCIRCLE_H__488765D3_1B0B_454A_A30C_370B524EB1E1__INCLUDED_)
#define AFX_PINTCIRCLE_H__488765D3_1B0B_454A_A30C_370B524EB1E1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

struct t_bgra8{
	unsigned char b;
	unsigned char g;
	unsigned char r;
	unsigned char a;
};

class CPintCircle  
{
public:
	void PutBox8(IplImage *dst, int x, int y, unsigned char* pixel);
	void PutBox16(IplImage *dst, int x, int y, unsigned short* pixel);
	void CountDot();
	int MakeCircle();
	CPintCircle(int len);
	CPintCircle();
	virtual ~CPintCircle();
private:
	int m_totaldot;
	int m_len; //a
	POINT *m_dim; //LȍW
	LPBITMAPINFO lpDIB;
	LPBYTE BitmapData;
	LPBYTE lpBuf;
	HDC hdcMem;
	HBITMAP hBitmap;

};

#endif // !defined(AFX_PINTCIRCLE_H__488765D3_1B0B_454A_A30C_370B524EB1E1__INCLUDED_)
