// colorItem.cpp: CcolorItem NX̃Cve[V
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "CellShade.h"
#include "colorItem.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// \z/
//////////////////////////////////////////////////////////////////////

CcolorItem::CcolorItem()
{
	strcpy(m_name, "VKC");
	strcpy(m_mode, "norm");
}

CcolorItem::~CcolorItem()
{
}

int CcolorItem::setName(char *c)
{
	TRACE("SETNAME=%s\n",c);
	strncpy(m_name, c, TLPSD_MAXSTR);
	return 1;
}

int CcolorItem::setMode(char *c)
{
	strncpy(m_mode, c, 8);
	return 1;
}


double CcolorItem::setRange(char * c)
{
	TRACE("setRange(%s)\n", c);
	double value = toDouble(c);
	if(value <= 0){
		return -1;
	}
	gaussian_range= value;

	return value;
}

double CcolorItem::toDouble(char *c)
{
	if(c==NULL){
		return -1;
	}
	double value;
	float value2;
	CString str=c;
	str.TrimLeft();
	str.TrimRight();
	if(str != ""){
		sscanf(str,"%f",&value2);
		value = value2;
		TRACE("CcolorItem::toDouble value=%f (%s) %f \n",value,str,value2);
	}else{
		value = -1;
	}
	return value;
}

LPCSTR CcolorItem::getMode()
{
	return m_mode;
}

LPCSTR CcolorItem::getName()
{
	return m_name;
}
